# All files / utils preventNegativeZero.ts

25% Statements 1/4
0% Branches 0/4
0% Functions 0/1
25% Lines 1/4

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    101x

     export const preventNegativeZero = (
      value: number | string
    ): number | string => {
      // eslint-disable-next-line no-compare-neg-zero
      if (Number(value) === -0) {
        return typeof value === 'number' ? 0 : value.replace(/-/g, '')
      }
      return value
    }